package chart

import (
	"nms_nbi/src/framework/logger"
	"nms_nbi/src/framework/middleware"
	"nms_nbi/src/modules/chart/controller"

	"github.com/gin-gonic/gin"
)

// 模块路由注册
func Setup(router *gin.Engine) {
	logger.Infof("开始加载 ====> NMS 北向模块路由")

	apiRest := router.Group("/api/rest")

	// 关系图
	systemManagementGroup := apiRest.Group("/systemManagement")
	{
		systemManagementGroup.GET("",
			middleware.PreAuthorize(nil),
			controller.NewChartGraph.Load,
		)
	}
}
